EZ_TreeSetCharacter(3)

NAME
EZ_TreeSetCharacter - specify the parameters to display a tree

SYNOPSIS
#include <EZ.h>

void EZ_TreeSetTreeCharacter(EZ_TreeNode *root, int type,
     int indent, int spacing, int drawbranch)

ARGUMENTS

root Specifies the root node.

type Specifies the tree type. Must be one of EZ_TREE or EZ_LIST_TREE.

indent Specifies the indentation between a node and children nodes, in pixels.

spacing Specifies the vertical spacing between neighboring nodes.

drawbranch Specifies whether to draw a thin line between parent and children nodes. For EZ_TREE type trees, a value bigger than one indicates that the branches be drawn in zigzaged horizontal and vertical line segaments.

DESCRIPTION

EZ_TreeSetTreeCharacter sets the parameters used to display a tree.

SEE ALSO
EZ_CreateTreeNode(3), EZ_TreeTraverseTree(3)